import React from 'react'
import { shallow, mount } from 'enzyme'
import ImageWrapper from './index'
import Image from './Image'

describe('components/BoxElements/ExploreBox/Image', () => {
  let mountedBox

  it('should match snapshot', () => {
    const wrapper = shallow(<ImageWrapper />)
    expect(wrapper).toMatchSnapshot()
  })

  it('should contain image tag', () => {
    mountedBox = mount(<ImageWrapper />)
    expect(mountedBox.contains(<img />))
  })

  it('should contain image container', () => {
    mountedBox = mount(<ImageWrapper />)
    expect(mountedBox.contains(<Image />))
  })
})
